Security Enhanced Linux Reference Policy

# Layer: apps

## Module: syncthing

Tunables Interfaces

### Description:

Application that lets you synchronize your files across multiple devices.

### Tunables:

syncthing_manage_all_user_content

##### Default value

false

##### Description

Grant the syncthing domains manage rights on all user content

syncthing_manage_generic_user_content

##### Default value

false

##### Description

Grant the syncthing domains manage rights on generic user content

syncthing_read_all_user_content

##### Default value

false

##### Description

Grant the syncthing domains read access to all user content

syncthing_read_generic_user_content

##### Default value

true

##### Description

Grant the syncthing domains read access to generic user content

Return

### Interfaces:

syncthing_role( role , domain )

##### Summary

Role access for Syncthing

##### Parameters

Parameter: | Description:
--- | ---
role | Role allowed access
domain | User domain for the role

Return